Package org.optaplanner.core.impl.phase.custom.scope

## Class CustomStepScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractStepScope<Solution_>
  - - org.optaplanner.core.impl.phase.custom.scope.CustomStepScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class CustomStepScope<Solution_>
      extends AbstractStepScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `bestScoreImproved, clonedSolution, score, stepIndex`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CustomStepScope​(CustomPhaseScope<Solution_> phaseScope)` |
    `CustomStepScope​(CustomPhaseScope<Solution_> phaseScope, int stepIndex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CustomPhaseScope<Solution_>` | `getPhaseScope()` |

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, setBestScoreImproved, setClonedSolution, setScore, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomStepScope

          public CustomStepScope​(CustomPhaseScope<Solution_> phaseScope)

    - #### CustomStepScope

          public CustomStepScope​(CustomPhaseScope<Solution_> phaseScope,
                                 int stepIndex)

  - ### Method Detail

    - #### getPhaseScope

          public CustomPhaseScope<Solution_> getPhaseScope()

      Specified by:
        `getPhaseScope` in class `AbstractStepScope<Solution_>`